//=============================================================
// Skinny-Dipper Pack
// By: Shayk-N'-Bake
// Credits: Check the credits.txt file included with the pack.
//-------------------------------------------------------------
// Auto Booster 
// By: Shayk-N'-Bake
//=============================================================

// Boost/Brake Keys (You can start TRIBES, set your beacon and grenade keys, close TRIBES, open up config.cs and look 
// for these three lines for the keys:
// bindCommand(keyboard0, make, "rshift", TO, "use(\"beacon\");");
// bindCommand(keyboard0, make, "rcontrol", TO, "throwStart();");
// bindCommand(keyboard0, break, "rcontrol", TO, "throwRelease(\"Grenade\");");
// Where it says rshift and rcontrol is what your key would be, it could be b and g or something different if you change
// it. Whatever they are, enter them into these two lines:

// Boost Key:
$AutoBooster::BoostKey = "b";
// Brake Key:
$AutoBooster::BrakeKey = "g";
// Auto-Booster Toggle Key (Toggles Auto-Booster On/Off):
$AutoBooster::ToggleKey = "6";

// Boost/Brake Delays:
$Brake::Delay = 0.091;
$Boost::Delay = 0.00075;

function Boost()
{
	if($Boost)
	{
		use("Beacon");
		if (Client::GetTeam(getManagerId()) == -1)
		{
			$Boost = False;
		}
		schedule("Boost();", $Boost::Delay);
	}
}

function Start::Boost()
{
	$Boost = True;
	Boost();
}

function Stop::Boost()
{
	$Boost = False;
}

function Brake()
{
	if($Brake)
	{
		throwRelease(Grenade);
		if (Client::GetTeam(getManagerId()) == -1)
		{
			$Brake = False;
		}
		schedule("Brake();", $Brake::Delay);
	}
}

function Start::Brake()
{
	$Brake = True;
	Brake();
}

function Stop::Brake()
{
	$Brake = False;
}

$AutoBooster[Option] = "On";
EditActionMap("playMap.sae");
bindCommand(keyboard0, make, $AutoBooster::BoostKey, TO, "Start::Boost();");
bindCommand(keyboard0, break, $AutoBooster::BoostKey, TO, "Stop::Boost();");
bindCommand(keyboard0, make, $AutoBooster::BrakeKey, TO, "Start::Brake();");
bindCommand(keyboard0, break, $AutoBooster::BrakeKey, TO, "Stop::Brake();");
bindCommand(keyboard0, break, $AutoBooster::ToggleKey, TO, "AutoBooster::Switch();");

function AutoBooster::Switch()
{ 
	if($AutoBooster[Option] == "On")
	{ 
		$AutoBooster[Option] = "Off";
		AutoBooster::Option();	
	}
	else if($AutoBooster[Option] == "Off")
	{
		$AutoBooster[Option] = "On";
		AutoBooster::Option();
	}
	else
	{
		$AutoBooster[Option] = "On";
		AutoBooster::Option();
	}
}

function AutoBooster::Option()
{	
	if($AutoBooster[Option] == "On")
	{
		RemoteBP(2048, "<jc><f1> Auto Booster/Brake \n:[ <f2>On <f1>]:", 3);
		AutoBooster::On();
		
	}
	if($AutoBooster[Option] == "Off")
	{
		RemoteBP(2048, "<jc><f1> Auto Booster/Brake \n:[ <f2>Off <f1>]:", 3);
		AutoBooster::Off();
	}
}

function AutoBooster::On()
{
	EditActionMap("playMap.sae");
	bindCommand(keyboard0, make, $AutoBooster::BoostKey, TO, "Start::Boost();");
	bindCommand(keyboard0, break, $AutoBooster::BoostKey, TO, "Stop::Boost();");
	bindCommand(keyboard0, make, $AutoBooster::BrakeKey, TO, "Start::Brake();");
	bindCommand(keyboard0, break, $AutoBooster::BrakeKey, TO, "Stop::Brake();");
}

function AutoBooster::Off()
{
	EditActionMap("playMap.sae");
	bindCommand(keyboard0, make, $AutoBooster::BoostKey, TO, "use(\"beacon\");");
	bindCommand(keyboard0, break, $AutoBooster::BoostKey, TO, "");
	bindCommand(keyboard0, make, $AutoBooster::BrakeKey, TO, "throwStart();");
	bindCommand(keyboard0, break, $AutoBooster::BrakeKey, TO, "throwRelease(\"Grenade\");");
}

//------------------------------------------------------------------------------

//$pref::OpenGL::NoAddFade = "True";
$pref::FOV = "120";
$pref::TerrainVisibleDistance = "15000";
$pref::skipIntro = "True";
$pref::waitForVSync = "False";
$pref::cdMusic = "FALSE";
$pref::filterBadWords = "False"; // Unless you're a little baby :)
$pref::weatherPrecipitation = "FALSE";

//-------------------------------------------------------------------------------

