// FILE:		z0dd_chat2.cs
// VERSION:		1.0
// DATE:		4/8/00
// AUTHOR:		Paul "z0dd" Paella
// EMAIL:		z0dd@adelphia.net
// WEBPAGE:		http://home.adelphia.net/~z0dd/
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////// DESCRIPTION: ////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
//	This script replaces the existing chat menu with all of the 
//	the chat messages the developers left out, while retaining all
// 	of the original chat messages.  This means you don't need to 
// 	download any extra sound filea to hear the new voices.
//
//////////////////////////////////////////////////////////////////////////////
/////////////////////////////// INSTALLATION: ////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
//	Put z0dd_chat.cs into your:
//		...\tribes\config
// 	directory and insert this line into your autoexec.cs:
//		exec("z0dd_chat2.cs");
//
//	Your resolution must be 800x600 or greater to see the GLOBAL, TEAM,
//	and LOCAL message choices. If you in 800x600, the msg box cannot have
//	more than 7 rows or the GLOBAL, TEAM, and LOCAL message choices will
//	disappear.
//

//////////////////////////////////////////////////////////////////////////////
// DON'T EDIT PAST HERE UNLESS YOU'RE A SCRIPTER AND KNOW WHAT YOU'RE DOING //
//////////////////////////////////////////////////////////////////////////////
newObject(PlayChatMenu, ChatMenu, "Root Menu:");

// Player Chat menu
setPlayChatMenu("aAnimations");
		addPlayAnim("lAlright!", 7, cheer3);
		addPlayAnim("aArg!", 3, dsgst4);
		//addPlayAnim("bBye", 12, bye);
		addPlayAnim("bBye.", 12, bye);
		addPlayAnim("cCome get some", 9, taunt4);
		//addPlayAnim("hHi", 12, hello);
		addPlayAnim("hHi.", 12, hello);
		addPlayAnim("dHow'd that feel?", 8, taunt10);
		//addPlayAnim("mMove out of way", 1, outway);
		addPlayAnim("mMove out of way!", 1, outway);
		//addPlayAnim("oOver here", 0, ovrhere);
		addPlayAnim("oOver here!", 0, ovrhere);
		addPlayAnim("sPose: Stand", 11, german);
		addPlayAnim("kPose: Kneel", 10, tricc);
		//addPlayAnim("wWhoohoo", 6, cheer2);
		addPlayAnim("wWhoohoo!", 6, cheer2);
		//addPlayAnim("eYeaah!", 5, cheer1);
		addPlayAnim("eYeah!", 5, cheer1);					
		//addPlayAnim("rRetreat", 2, retreat);
		addPlayAnim("rRetreat!", 2, retreat);
		addPlayAnim("yYes - Salute", 4, yes);

setPlayChatMenu("cCommand Response");
		//addPlayCMDResponse("aAcknowledged", 1, "Command acknowledged", "acknow");
		addPlayCMDResponse("aAcknowledged.", 1, "Understood!", "acknow");
		//addPlayCMDResponse("uUnable to complete", 0, "Unable to complete objective", "objxcmp");
		addPlayCMDResponse("uUnable to complete.", 0, "Sorry man. Why don't you try doing it!", "objxcmp");
		//addPlayCMDResponse("oObjective completed", 0, "Objective complete", "objcomp");
		addPlayCMDResponse("oObjective completed.", 0, "Oh yeah! Told you I could do it.", "objcomp");

setPlayChatMenu("dDefense");
		addPlayTeamChat("lClear the mines from our objective!", "Clear the mines from our objective!", clrobj);
		addPlayTeamChat("oDefend objective.", "Defend objective!", defobj);
		addPlayTeamChat("bDefend our base.", "Defend our base!", defbase);
		addPlayTeamChat("dDefending our base.", "Defending our base!", defend);
		addPlayTeamChat("gGo on the defensive!", "Go on the defensive!", godef);
		addPlayTeamChat("hHit the deck!", "Hit the deck!", hitdeck);
 		addPlayTeamChat("iIncoming enemies.", "Incoming enemies!", incom2);
		addPlayTeamChat("cIs base clear?", "Is our base clear?!", isbsclr);
		addPlayTeamChat("tOur base has been Taken!", "Our Base has been taken!", basetkn);		 										
		addPlayTeamChat("sOur base is secure.", "Our Base is secure!", bsclr2);
		addPlayTeamChat("mOur Objective is mined!", "Our Objective is mined!", mineobj);
		addPlayTeamChat("rRepair objective.", "Repair objective!", repobj);
		addPlayTeamChat("vTake cover!!", "Take cover!!!!", takcovr);
		addPlayTeamChat("eThe enemy is attacking our base!", "The enemy is attacking our base!", basundr);
		addPlayTeamChat("nWe need more defense!", "We need more defense!", needdef);							
		addPlayTeamChat("aWe're being attacked!", "We are being attacked!", basatt);

setPlayChatMenu("fFlag");
		addPlayTeamChat("cClear the mines from our flag.", "Clear the mines from our flag!", clrflg);
		addPlayTeamChat("fGet the enemy flag.", "Get the enemy flag!", geteflg);
		addPlayTeamChat("iI have the enemy flag.", "I have the enemy flag. Heading back to our base!", haveflg);	
		addPlayTeamChat("hMines have been cleared.", "Mines have been cleared!", mineclr);
		addPlayTeamChat("mMine the flag!", "Mine the flag!", mineflg);
		addPlayTeamChat("sOur flag is secure.", "Our flag is secure.", flaghm);			
		addPlayTeamChat("oOur flag is mined.", "Our flag is mined.", flgmine);
		addPlayTeamChat("bOur flag is not in the base.", "Our flag is not in the base!", flgtkn1);
		addPlayTeamChat("rReturn our flag to our base.", "Return our flag to our base!", retflag);			
		addPlayTeamChat("eThe enemy has our flag.", "The enemy has our flag!", flgtkm2);

setPlayChatMenu("iInstructions");
		addPlayTeamChat("lBelay order.", "Belay order.", belay);
		addPlayTeamChat("bBoard APC!", "Board APC.", boarda);
		addPlayTeamChat("mMove out!", "Move out!", moveout);
		addPlayTeamChat("oOrder canceled.", "Order canceled.", ordcan);
		addPlayTeamChat("pProceed ahead.", "Proceed ahead.", proceed);		
		addPlayTeamChat("rRegroup!", "Regroup!", regroup);		
		
setPlayChatMenu("zRealityBitesAdmin");
		addPlayChat("1funball", "#cmd funball5($clid, 8);");
		addPlayChat("2funball", "#cmd funball4($clid, 10);");
		addPlayChat("3ramp", "#cmd makeramp2($clid, 190);");
		addPlayChat("4ramp", "#cmd makeramp4($clid, 190);");
		addPlayChat("5torch", "#cmd addtorch($clid);");
		addPlayChat("6wateryard", "#cmd addsprinkler($clid);");
		addPlayChat("7wateryard2", "#cmd addsprinkler2($clid);");
		addPlayChat("8fireworks", "#cmd addfireworks($clid);");
		addPlayChat("9sphere", "#cmd sphere($clid, 120);");
		addPlayChat("qchain", "#cmd chain3($clid);");
		addPlayChat("gClear", "#clear");
		addPlayChat("aHOVER", "##hover");
		addPlayChat("/Delete", "#delete");
		addPlayChat("wLocationOnPoint", "##los");
		addPlayChat("pLightOn", "##lighton");
		addPlayChat("[LightOff", "##lightoff");
		addPlayChat("fdrag", "#drag");
		addPlayChat("ndragstop", "#dragstop");
		addPlayChat("=GLASS I TELL YA", "#cmd for(%i=0;%i<50;%i++){statichelper(forcefield,mypos());gbmb(glus(),randvec(-100,100,-100,100,-100,100));gbsr(glus(),randvec(-100,100,-100,100,-100,100));}");
		addPlayChat("sShove", "##shove");
		addPlayChat("ePunt", "##punt");
		addPlayChat("jDish", "#cmd %r=290; for(%i=5;%i<45;%i+=10){iblockbank(vadd(mypos(),\"0 0 \"@(%r*(1-uscos(%i/180*3.14159265))) ),0,360,15,90-%i,%r*ussin(%i/180*3.14159265));");
		addPlayChat("'LazerArmy", "#cmd creategenericbot($clid,'RAVE ZOMBIE!');$t=cgp(ai::getid(\"Tasha\"@$numai));player::mountitem($t,laserrifle,0);");
		
setPlayChatMenu("gGlobal");
		addPlayChat("gClear the mines from our flag.", "Clear the Mimes from our flag!", clrflg);
		addPlayChat("aUnderstood.", "Understood.", acknow);
		addPlayChat("1Alright!", "(^_^)", cheer3);
		addPlayChat("2Aarrg!", "(_)", dsgst4);
		addPlayChat("3Ah Crap!", "Ahhh Crap!", color7);
		addPlayChat("bBye.", "GoodBye!", bye);
		addPlayChat("cCease fire!", "STOP SHOOTING ME!!!", cease);
		addPlayChat("4Come get some", "t ( _ )-", taunt4);
		addPlayChat("5Damnit", "Damnit!", color6);
		addPlayChat("6Dance!", "Dance!", taunt3);
		addPlayChat("7Doh", "Doh!", oops1);		
		addPlayChat("8Duh", "Duh!", dsgst1);
		addPlayChat("eHelp!!", "Help!", help);																			
		addPlayChat("9Hey!", "Hey!", wshoot1);
		addPlayChat("hHi", "Hi.", hello);
		addPlayChat("mHmmm", "Hmmm.", color3);
		addPlayChat("0How'd that feel?", "How'd that feel? Huh?", taunt10);
		addPlayChat("fHurry up with the station!", "Hurry up with the station! Basically..Move yer ass now!", hurystn);
		addPlayChat("iI dont know", "I don't know.", dontkno);										
		addPlayChat("[I've had worse!", "I've had worse.", tautn11);
		addPlayChat("]Missed me!", "Missed me!", taunt2, color2);
		addPlayChat("nNo", "No.", no);
		addPlayChat("pNo Problem", "No Problem.", noprob);				
		addPlayChat("oOops", "Oops!", oops2);
		addPlayChat("rReady", "Ready.", ready);
		addPlayChat("jRetreat!", "Retreat!", retreat);				
		addPlayChat(";Shazbot!", "Shazbot!", color2);
		addPlayChat("sSorry", "Sorry!", sorry);
		addPlayChat("tThanks", "Thanks.", thanks);						
		addPlayChat("uUhhhh", "\\ d.b /", dsgst5);
		addPlayChat("zWait", "Wait.", wait1);
		addPlayChat("xWaiting", "Waiting.", wait2);
		addPlayChat("wWatch where you're shooting", "Watch where your shooting! Yo ass is gonna kill somebody!", wshoot3);
		addPlayChat("'Whoohoo", "\\o/", cheer2);
		addPlayChat(",Yeeah", "Oh Yeah!", cheer1);
		addPlayChat("yYes", "Yes.", yes);						
		addPlayChat(".You Idiot!", "..|.._____(X_X)___..|..", dsgst2);
		addPlayChat("/Yoohoo", "/o\\", taunt1);
		
		
setPlayChatMenu("lLocal");
		addLocal("aAcknowledged", acknow);
		addLocal("1Alright!", cheer3);
		addLocal("2Aarrg!", dsgst4);
		addLocal("3Ah Crap!", color7);
		addLocal("bBye", bye);
		addLocal("cCease fire!", cease);
		addLocal("4Come get some", taunt4);
		addLocal("5Damnit", color6);
		addLocal("6Dance!", taunt3);
		addLocal("7Doh", oops1);		
		addLocal("8Duh", dsgst1);
		addLocal("eHelp!!", help);																			
		addLocal("9Heyy!!", wshoot1);
		addLocal("hHi", hello);
		addLocal("mHmmm", color3);
		addLocal("0How'd that feel?", taunt10);
		addLocal("fHurry up with the station!", hurystn);
		addLocal("iI dont know", dontkno);										
		addLocal("[I've had worse!", tautn11);
		addLocal("]Missed me!", taunt2);
		addLocal("nNo", no);
		addLocal("pNo Problem", noprob);				
		addLocal("oOops", oops2);
		addLocal("rReady", ready);
		addLocal("jRetreat!", retreat);				
		addLocal(";Shazbot!", color2);
		addLocal("sSorry", sorry);
		addLocal("tThanks", thanks);						
		addLocal("uUhhhh", dsgst5);
		addLocal("zWait", wait1);
		addLocal("xWaiting", wait2);
		addLocal("wWatch where you're shooting", wshoot3);
		addLocal("'Whoohoo", cheer2);
		addLocal(",Yeeah", cheer1);
		addLocal("yYes", yes);						
		addLocal(".You Idiot!", dsgst2);
		addLocal("/Yoohoo", taunt1);

setPlayChatMenu("nNeed");
		addPlayTeamChat("aCan anyone bring me some ammo?", "Can anyone bring me some ammo?", needamo);
		addPlayTeamChat("pI need an APC pickup", "I need an APC pickup.", needpku);
		addPlayTeamChat("eI need an escort back to base", "I need an escort back to base.", needesc);
		addPlayTeamChat("rNeed Repairs", "Need repairs.", needrep);

setPlayChatMenu("oOffense");
		addPlayTeamChat("aAPC ready to go", "APC ready to go... waiting for passengers.", waitpas);		
		addPlayTeamChat("1Attack!", "Attack!!!", attac2);
		addPlayTeamChat("2Attack!", "Attack!", attack);				
		addPlayTeamChat("3Attack the enemy base!", "Attack the enemy base!", attbase);
		addPlayTeamChat("4Attack the enemy!", "Attack the enemy!", attenem);
		addPlayTeamChat("5Attack objective!", "Attack objective!", attobj);
		addPlayTeamChat("cCapture objective!", "Capture objective!", capobj);
		addPlayTeamChat("oGet objective!", "Get objective!", getobj);								
		addPlayTeamChat("tGo on the offensive!", "Go on the offensive!", gooff);
		addPlayTeamChat("gGoing offense", "Going offense. Time to bust up some shit. ;)", ono);
		addPlayTeamChat("wWait for my signal to attack", "Wait for my signal to attack.", waitsig);

setPlayChatMenu("rTarget");
		addPlayTeamChat("tDestroy enemy turret", "Destroy enemy turret.", destur);
		addPlayTeamChat("gDestroy the enemy generator", "Destroy the enemy generator.", desgen);
		addPlayTeamChat("1Enemy generator destroyed", "Enemy generator destroyed.", gendes);
		addPlayTeamChat("2Enemy turret destroyed", "Enemy turret destroyed.", turdes);
		addPlayTeamChat("fFire on my target", "Fire on my target.", firetgt);
		addPlayTeamChat("iI need a target", "I need a target.", needtgt);						
		addPlayTeamChat("aTarget acquired", "Target acquired.", tgtacq);		
		addPlayTeamChat("lTarget location", "Target location.", tgtobj);
		addPlayTeamChat("oTarget out of range", "Target out of range.", tgtout);

setPlayChatMenu("tTeam");
		addPlayTeamChat("aAcknowledged", "Understood.", acknow);
		addPlayTeamChat("1Alright!", "Alright!", cheer3);
		addPlayTeamChat("2Aarrg!", "Aarrg!", dsgst4);
		addPlayTeamChat("3Ah Crap!", "Ahhh Crap!", color7);
		addPlayTeamChat("bBye", "Bye.", bye);
		addPlayTeamChat("cCease fire!", "Cease fire!", cease);
		addPlayTeamChat("4Come get some", "I gotta fatty waitin' for ya!", taunt4);
		addPlayTeamChat("5Damnit", "Damnit!", color6);
		addPlayTeamChat("6Dance!", "Dance!", taunt3);
		addPlayTeamChat("7Doh", "Doh!", oops1);		
		addPlayTeamChat("8Duh", "Duh!", dsgst1);
		addPlayTeamChat("eHelp!!", "Help!", help);																			
		addPlayTeamChat("9Hey!!", "Hey!", wshoot1);
		addPlayTeamChat("hHi", "Hi.", hello);
		addPlayTeamChat("mHmmm", "Hmmm. Peculiar.", color3);
		addPlayTeamChat("0How'd that feel?", "How'd that feel? Huh?", taunt10);
		addPlayTeamChat("fHurry up with the station!", "Hurry up with the station! Basically...move yer ass now!", hurystn);
		addPlayTeamChat("iI dont know", "I don't know.", dontkno);										
		addPlayTeamChat("[I've had worse!", "I've had worse.", tautn11);
		addPlayTeamChat("]Missed me!", "Missed me!", taunt2);
		addPlayTeamChat("nNo", "No.", no);
		addPlayTeamChat("pNo Problem", "No Problem.", noprob);				
		addPlayTeamChat("oOops", "Oops!", oops2);
		addPlayTeamChat("rReady", "Ready.", ready);
		addPlayTeamChat("jRetreat!", "Retreat!", retreat);				
		addPlayTeamChat(";Shazbot!", "Shazbot!", color2);
		addPlayTeamChat("sSorry", "Sorry!", sorry);
		addPlayTeamChat("tThanks", "Thanks.", thanks);						
		addPlayTeamChat("uUhhhh", "*sigh*", dsgst5);
		addPlayTeamChat("zWait", "Wait.", wait1);
		addPlayTeamChat("xWaiting", "Waiting.", wait2);
		addPlayTeamChat("wWatch where you're shooting", "Watch where your shooting! Yo ass is gonna kill somebody!", wshoot3);
		addPlayTeamChat("'Whoohoo", "Woo-hoo!", cheer2);
		addPlayTeamChat(",Yeeah", "Oh Yeah!", cheer1);
		addPlayTeamChat("yYes", "Yes.", yes);						
		addPlayTeamChat(".You Idiot!", "You Idiot! You stupid muthafucker!", dsgst2);
		addPlayTeamChat("/Yoohoo", "Yoo-hoo!", taunt1);
